org.jbpm.compiler.xml

## Class XmlProcessReader

- java.lang.Object
- - org.jbpm.compiler.xml.XmlProcessReader

-     public class XmlProcessReader
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlProcessReader(org.drools.core.xml.SemanticModules modules, ClassLoader classLoader)`
    `XmlProcessReader(org.drools.core.xml.SemanticModules modules, ClassLoader classLoader, SAXParser parser)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.kie.api.definition.process.Process>` | `getProcess()`
    `ProcessBuildData` | `getProcessBuildData()`
    `protected String` | `processParserMessage(LinkedList<Object> parents, Attributes attr, String errorMessage)`
    `List<org.kie.api.definition.process.Process>` | `read(InputSource in)` Read a `Process` from an `InputSource`.
    `List<org.kie.api.definition.process.Process>` | `read(InputStream inputStream)` Read a `Process` from an `InputStream`.
    `List<org.kie.api.definition.process.Process>` | `read(Reader reader)` Read a `Process` from a `Reader`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlProcessReader

          public XmlProcessReader(org.drools.core.xml.SemanticModules modules,
                                  ClassLoader classLoader)

    - #### XmlProcessReader

          public XmlProcessReader(org.drools.core.xml.SemanticModules modules,
                                  ClassLoader classLoader,
                                  SAXParser parser)

  - ### Method Detail

    - #### read

          public List<org.kie.api.definition.process.Process> read(Reader reader)
                                                            throws SAXException,
                                                                   IOException

      Read a `Process` from a `Reader`.
      Parameters:
        `reader` - The reader containing the rule-set.
      Returns:
        The rule-set.
      Throws:
        `SAXException`
        `IOException`

    - #### read

          public List<org.kie.api.definition.process.Process> read(InputStream inputStream)
                                                            throws SAXException,
                                                                   IOException

      Read a `Process` from an `InputStream`.
      Parameters:
        `inputStream` - The input-stream containing the rule-set.
      Returns:
        The rule-set.
      Throws:
        `SAXException`
        `IOException`

    - #### read

          public List<org.kie.api.definition.process.Process> read(InputSource in)
                                                            throws SAXException,
                                                                   IOException

      Read a `Process` from an `InputSource`.
      Parameters:
        `in` - The rule-set input-source.
      Returns:
        The rule-set.
      Throws:
        `SAXException`
        `IOException`

    - #### getProcess

          public List<org.kie.api.definition.process.Process> getProcess()

    - #### getProcessBuildData

          public ProcessBuildData getProcessBuildData()

    - #### processParserMessage

          protected String processParserMessage(LinkedList<Object> parents,
                                                Attributes attr,
                                                String errorMessage)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.